
 -- code block B  
SELECT  mon,  IDCountyCode, birds, timesReported, timesReported/nSurveys * 100 as reportPct, birds/totBirds * 1000 as frac_per_thou from
  (
  select  mon, IDCountyCode,  sum(birdCount) as birds, count(IDSamplingEvent) as timesReported
	from `Observations` as ob
		JOIN
    `sampling_subset` as se USING (IDSamplingEvent)
		JOIN
        `locations` as loc using (IDLocation)
    where IDutax = 460
    group by `mon`, IDCountyCode
  ) as spec
   inner JOIN
   month_summary_by_county as m USING (IDCountyCode, mon)
   order by  IDCountyCode, `mon`  ;

-- now optimize the table and rerun the block B script.
-- optimize table sampling_subset;