
-- code block A
drop temporary table if exists junk2;
create temporary table junk2
   select IDutax, mon, IDCountyCode,  sum(birdCount) as birds, count(IDSamplingEvent) as timesReported
	from `Observations` as ob
		JOIN
	`sampling_subset` as se USING (IDSamplingEvent)
		JOIN
        `locations` as loc using (IDLocation)
    where IDutax = 460 or IDutax = 550
    group by `mon`, IDutax, IDCountyCode;


select IDutax,  mon,  IDCountyCode, birds, timesReported, timesReported/nSurveys * 100 as reportPct, birds/totBirds * 1000 as frac_per_thou 
   from junk2
    join
   month_summary_by_county as m USING (IDCountyCode, mon)
   order by IDutax, IDCountyCode, `mon`  ;
